> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUnProcessedPayPeriod

> 
The `getUnProcessedPayPeriod` API retrieves pay periods that have not yet been processed for payroll.

### What it does:

- Returns pay periods that have not completed processing
- Provides pay period details for periods awaiting payroll processing including key dates and deadline to run payroll

### Notes:
- Used to identify pay periods that are available for processing with `initiatePayroll`
- Returns payPeriods that are **submitted** but not yet paid out, and payPeriods that are editable
- Uses optional **workerType** to filter by W2 or 1099-NEC or can be used to return both



## OpenAPI

````yaml get /reports/getUnProcessedPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUnProcessedPayPeriod:
    get:
      tags: []
      summary: getUnProcessedPayPeriod
      description: >-

        The `getUnProcessedPayPeriod` API retrieves pay periods that have not
        yet been processed for payroll.


        ### What it does:


        - Returns pay periods that have not completed processing

        - Provides pay period details for periods awaiting payroll processing
        including key dates and deadline to run payroll


        ### Notes:

        - Used to identify pay periods that are available for processing with
        `initiatePayroll`

        - Returns payPeriods that are **submitted** but not yet paid out, and
        payPeriods that are editable

        - Uses optional **workerType** to filter by W2 or 1099-NEC or can be
        used to return both
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                workerType:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getUnProcessedPayPeriod
              companyId: 2DFCA586-C2D4-4FD7-B823-063F2575A5E7
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  unprocessedPayPeriods:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        payPeriodType:
                          type: string
                        payBeginDate:
                          type: string
                        payEndDate:
                          type: string
                        payDate:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        payPeriodStatus:
                          type: string
                        workerType:
                          type: string
                      required:
                        - payPeriodId
                        - payPeriod
                        - payPeriodType
                        - payBeginDate
                        - payEndDate
                        - payDate
                        - deadLineToRunPayroll
                        - payPeriodStatus
                        - workerType
                required:
                  - unprocessedPayPeriods
              example:
                unprocessedPayPeriods:
                  - payPeriodId: 080EA408-D041-4C43-A745-9337AAEB9EAF
                    payPeriod: 09/17/2025 - 09/23/2025
                    payPeriodType: Regular
                    payBeginDate: '2025-09-17'
                    payEndDate: '2025-09-23'
                    payDate: '2026-03-11'
                    deadLineToRunPayroll: '2025-09-19'
                    payPeriodStatus: new
                    workerType: 1099-NEC
                  - payPeriodId: EDCDB86C-337A-4CA9-88AB-48750BE757D4
                    payPeriod: 03/16/2026 - 03/31/2026
                    payPeriodType: Regular
                    payBeginDate: '2026-03-16'
                    payEndDate: '2026-03-31'
                    payDate: '2026-03-31'
                    deadLineToRunPayroll: '2026-03-27'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: 8EF7603A-8ECF-40E4-82E8-2C5FC5528D5F
                    payPeriod: 02/02/2026 - 02/09/2026
                    payPeriodType: Off-Cycle
                    payBeginDate: '2026-02-02'
                    payEndDate: '2026-02-09'
                    payDate: '2026-04-01'
                    deadLineToRunPayroll: '2026-03-30'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: CC4D8605-1FA4-4EB9-9E57-9EBEF1AFD703
                    payPeriod: 03/09/2026 - 03/23/2026
                    payPeriodType: Off-Cycle
                    payBeginDate: '2026-03-09'
                    payEndDate: '2026-03-23'
                    payDate: '2026-04-01'
                    deadLineToRunPayroll: '2026-03-30'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: 7F52523F-EBF0-40BD-87D4-20E82AF5AD95
                    payPeriod: 02/02/2026 - 03/24/2026
                    payPeriodType: Off-Cycle
                    payBeginDate: '2026-02-02'
                    payEndDate: '2026-03-24'
                    payDate: '2026-04-02'
                    deadLineToRunPayroll: '2026-03-31'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: 3BBB82F7-FDF0-4CAE-BF39-5611D8D6E304
                    payPeriod: 03/31/2026 - 03/31/2026
                    payPeriodType: Missing
                    payBeginDate: '2026-03-31'
                    payEndDate: '2026-03-31'
                    payDate: '2026-04-03'
                    deadLineToRunPayroll: '2026-04-01'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: 329ED801-CE87-42F3-87AE-59AA65E007C6
                    payPeriod: 03/30/2026 - 03/30/2026
                    payPeriodType: Missing
                    payBeginDate: '2026-03-30'
                    payEndDate: '2026-03-30'
                    payDate: '2026-04-03'
                    deadLineToRunPayroll: '2026-04-01'
                    payPeriodStatus: new
                    workerType: W2
                  - payPeriodId: DC815FD5-B8BA-4021-A51D-2DD2FF2971B4
                    payPeriod: 05/19/2026 - 05/25/2026
                    payPeriodType: Missing
                    payBeginDate: '2026-05-19'
                    payEndDate: '2026-05-25'
                    payDate: '2026-05-20'
                    deadLineToRunPayroll: '2026-05-18'
                    payPeriodStatus: new
                    workerType: W2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid WorkerType
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````